#include<stdio.h>
int main(){
	int n,v,k;
	scanf("%d",&n);

	if(n<=0){
		printf("-1\n");
		return 0; }

	for(v=1; v<=n; v++){
		for(k=1; k<=n-v; k++){
			printf(" "); }
		if(k==n-v+1){
			printf("*"); }
		for(k=n+v-1; k>(n-v+1); k--){
			printf("A");
		
	printf("\n");
	}
return 0;
}
